/* bignum-internal.h
 *
 */

/* nettle, low-level cryptographics library
 *
 * Copyright (C) 2013 Red Hat
 *  
 * The nettle library is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * The nettle library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
 * License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with the nettle library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02111-1301, USA.
 */

#ifndef BIGNUM_INTERNAL_H
# define BIGNUM_INTERNAL_H

#include <gmp-glue.h>

#define TMP_GMP_DECL(name, type) type *name; \
	unsigned tmp_##name##_size
#define TMP_GMP_ALLOC(name, size) \
	(name = gmp_alloc(&tmp_##name##_size, sizeof (*name) * (size)))
#define TMP_GMP_FREE(name) (gmp_free(name, tmp_##name##_size))

#endif
